DROP SEQUENCE(7)

NAME
DROP SEQUENCE - remove a sequence

SYNOPSIS

DROP SEQUENCE [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP SEQUENCE removes sequence number generators. A sequence can only be dropped by its owner or a superuser.

PARAMETERS

IF EXISTS
    Do not throw an error if the sequence does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of a sequence.

CASCADE
    Automatically drop objects that depend on the sequence.

RESTRICT
    Refuse to drop the sequence if any objects depend on it. This is the default.

EXAMPLES

To remove the sequence serial:

DROP SEQUENCE serial;

COMPATIBILITY

DROP SEQUENCE conforms to the SQL standard, except that the standard only allows one sequence to be dropped per command, and apart from the IF EXISTS option, which is a PostgreSQL extension.

SEE ALSO
CREATE SEQUENCE [create_sequence(7)], ALTER SEQUENCE [alter_sequence(7)]